SingleColumnRestriction.EQ (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3.statements

## Class SingleColumnRestriction.EQ

- java.lang.Object
- - org.apache.cassandra.cql3.statements.SingleColumnRestriction
  - - org.apache.cassandra.cql3.statements.SingleColumnRestriction.EQ

- All Implemented Interfaces:
    Restriction, Restriction.EQ
  Direct Known Subclasses:
    MultiColumnRestriction.EQ
  Enclosing class:
    SingleColumnRestriction

      public static class SingleColumnRestriction.EQ
      extends SingleColumnRestriction
      implements Restriction.EQ

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction

      `SingleColumnRestriction.Contains, SingleColumnRestriction.EQ, SingleColumnRestriction.InWithMarker, SingleColumnRestriction.InWithValues, SingleColumnRestriction.Slice`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Restriction

      `Restriction.EQ, Restriction.IN, Restriction.Slice`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Term` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleColumnRestriction.EQ(Term value, boolean onToken)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isContains()`
    `boolean` | `isEQ()`
    `boolean` | `isIN()`
    `boolean` | `isOnToken()`
    `boolean` | `isSlice()`
    `java.lang.String` | `toString()`
    `java.util.List<java.nio.ByteBuffer>` | `values(QueryOptions options)`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction

      `isMultiColumn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.statements.Restriction

      `isMultiColumn`

- - ### Field Detail

    - #### value

          protected final Term value

  - ### Constructor Detail

    - #### SingleColumnRestriction.EQ

          public SingleColumnRestriction.EQ(Term value,
                                    boolean onToken)

  - ### Method Detail

    - #### values

          public java.util.List<java.nio.ByteBuffer> values(QueryOptions options)
                                                     throws InvalidRequestException

      Specified by:
        `values` in interface `Restriction`
      Throws:
        `InvalidRequestException`

    - #### isSlice

          public boolean isSlice()

      Specified by:
        `isSlice` in interface `Restriction`

    - #### isEQ

          public boolean isEQ()

      Specified by:
        `isEQ` in interface `Restriction`

    - #### isIN

          public boolean isIN()

      Specified by:
        `isIN` in interface `Restriction`

    - #### isContains

          public boolean isContains()

      Specified by:
        `isContains` in interface `Restriction`

    - #### isOnToken

          public boolean isOnToken()

      Specified by:
        `isOnToken` in interface `Restriction`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation